List mobile app navigations
Lists the Fluid mobile app’s navigation, the screens and links reps reach from the app’s menus. For storefront website menus, use the menus API. For portal navigation, use the portal navigations API.
curl --request GET \
--url https://api.fluid.app/api/v2/mobile_navigations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2/mobile_navigations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2/mobile_navigations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mobile_navigations": [
{
"id": 123,
"name": "<string>",
"status": "active",
"default": true,
"lock_version": 123,
"items": 123,
"countries": [
"<string>"
],
"languages": [
"<string>"
],
"ranks": [
"<string>"
],
"member_types": [
"<string>"
]
}
],
"meta": {
"total_count": 123,
"current_page": 123,
"per_page": 123
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Number of records per page (capped at 100)
x <= 100Filter by navigation name (case-insensitive substring)
Filter by status
active, inactive Navigations with a country access rule referencing any of these country ids
Navigations with a language access rule referencing any of these language ids
Navigations with a rank access rule referencing any of these rank ids
Sort order (name_asc, name_desc, status_asc, status_desc, created_at_asc, created_at_desc); unknown values fall back to created_at_desc
